Stats
GET
/stats Returns global statistics about the GIF collection including total counts, storage size, and breakdown by pairing.
Response fields
Section titled “Response fields”| Field | Type | Description |
|---|---|---|
total_gifs | number | Total number of GIFs in the collection |
total_actions | number | Number of distinct action types |
total_animes | number | Number of distinct anime series |
total_size | string | Human-readable total storage size (e.g. "1.30 GB") |
total_size_bytes | number | Total storage size in bytes |
gifs_by_pairing | object[] | Array of { pairing, count } objects |
Example request
Section titled “Example request”curl https://api.gifukai.com/statsExample response
Section titled “Example response”{ "total_gifs": 962, "total_actions": 43, "total_animes": 173, "total_size": "1.30 GB", "total_size_bytes": 1392673821, "gifs_by_pairing": [ { "pairing": "f", "count": 467 }, { "pairing": "ff", "count": 169 }, { "pairing": "fm", "count": 111 }, { "pairing": "m", "count": 73 }, { "pairing": "mf", "count": 102 }, { "pairing": "mm", "count": 40 } ]}Status codes
Section titled “Status codes”| Status | Description |
|---|---|
| 200 | Successfully returned statistics |
| 503 | Stats cache not available yet (server just started) |
| 500 | Internal server error |